Subject: bug#34688: 26.1; Crash on Pasting from Windows clipboard

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Feb 2019 21:49:07 +0200

> From: Patrick Brennan <[email-masked]>
> Date: Thu, 28 Feb 2019 10:13:02 -0800
> 
> Starting from any Windows program, select text and press C-c to copy
> text into the Windows clipboard.
> 
> Switch to Emacs. Press C-y to paste into the Emacs buffer.
> 
> Emacs will crash and display a dialog asking whether the user wishes to
> debug or generate a crash trace. I tried to write the crash trace but I
> have been unsuccessful in trying to locate this file; I suspect it is
> not, in fact, written out under Windows.
> 
> I just updated Windows this morning when the bug first manifested, so it
> is a pretty good bet that this is related. On another Windows computer,
> this behavior does not manifest.

This has to be something peculiar to the recent build of Windows 10,
so we must rely on someone with access to that system to debug it.  If
you can afford installing GDB, running Emacs under GDB, and reporting
the backtrace from the crash, we might be able to understand the
problem.  Needless to say, pasting from the clipboard works for me on
my Windows box (not Windows 10).

Thanks.